# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Experimental Xgl server"
HOMEPAGE="http://xgl.freedesktop.org"
SRC_URI=""

LICENSE="as-is"
SLOT="0"
KEYWORDS="~x86"
IUSE="glx"

DEPEND="
	>=media-libs/glitz-5.2
	glx? (>=media-libs/mesa-6.5)"
RDEPEND="${DEPEND}"

ECVS_SERVER="cvs.freedesktop.org:/cvs/xserver"
ECVS_MODULE="xserver"
inherit base eutils cvs

src_unpack() {
	cvs_src_unpack
	mv ${WORKDIR}/${ECVS_MODULE} ${WORKDIR}/${P}
	if use glx; then
		# We need the mesa sources from cvs
		ECVS_SERVER="pdx.freedesktop.org:/cvs/mesa"
		ECVS_MODULE="Mesa"
		cvs_src_unpack
	fi
}

src_compile() {
	cd ${S}
	./autogen.sh
	myconf="--enable-xglserver --enable-xkb"
	if use glx; then
		myconf="${myconf} --enable-glx --with-mesa-source=${WORKDIR}/Mesa"
	fi
	econf ${myconf} || die "Config failed"
	make || die "Make failed"
}

src_install() {
	einstall || die "Install failed"
}

#pkg_postinst() {
#	chmod u+s /usr/bin/Xgl
#}

